from sqlalchemy import *
from dictionaries.versions import views_helper

table_name = 'excisemarkwhite'
column_name = 'shopcode'

def getTables(meta):
    return [Table('excisemarkwhite1', meta, autoload=True), Table('excisemarkwhite2', meta, autoload=True)]

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    for table in getTables(meta):
        table.c.barcode.alter(nullable=True)
    views_helper.create_column(migrate_engine, table_name, column_name, String(30))

def downgrade(migrate_engine):
    views_helper.drop_column(migrate_engine, table_name, column_name, String(30))
