from sqlalchemy import *
from dictionaries.versions import views_helper

table_name = 'mol'

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)

    for tbl in views_helper.getTables(meta, table_name):
        tbl.c.name.alter(type=String(100))

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)

    for tbl in views_helper.getTables(meta, table_name):
        tbl.c.name.alter(type=String(60))
