from sqlalchemy import Numeric
from dictionaries.versions import views_helper

tableName = "medicine"
columnName = "packquant"
columnType = Numeric(precision=13, scale=3)


def upgrade(migrate_engine):
    views_helper.create_column(migrate_engine, tableName, columnName, columnType)


def downgrade(migrate_engine):
    views_helper.drop_column(migrate_engine, tableName, columnName, columnType)
