from sqlalchemy import *
from migrate import *
import migrate.changeset

def getGoodsitemTable(meta):
    return Table('goodsitem', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.    
    col = Column('additionaldata', String(100), nullable=True)
    col.create(getGoodsitemTable(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    getGoodsitemTable(meta).c.additionaldata.drop()
