# -*- coding: utf-8 -*-

from sqlalchemy import Table, Column, MetaData, Integer

def getColumn():
    return Column('shiftnumkkm', Integer, nullable = True)

def upgrade(migrate_engine):

    tbl = Table('kkm', MetaData(bind = migrate_engine), autoload=True)
    column = getColumn()

    if not column.name in tbl.columns:
        column.create(tbl)

def downgrade(migrate_engine):

    tbl = Table('kkm', MetaData(bind = migrate_engine), autoload=True)
    column = getColumn()

    if column.name in tbl.columns:
        column.drop(tbl)
